> For the complete documentation index, see [llms.txt](https://docs.whisk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.whisk.com/master/api/shopping-lists/get-shopping-lists.md).

# Get Shopping Lists

Returns all available shopping lists for the user. This API available only for user access-token integration.

## Get Shopping Lists

<mark style="color:blue;">`GET`</mark> `https://graph.whisk.com/v1/lists`

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "lists": [
    {
      "id": "ef610b5c0e294ef6a54931738d79f55d",
      "name": "My Shopping List",
      "createdTime": "2017-12-07T20:06:14+0000",
      "updatedTime": "2017-12-07T20:06:14+0000"
    }
  ]
}
```

{% endtab %}
{% endtabs %}

## Response

| ATTRIBUTE | TYPE                       | DESCRIPTION |
| --------- | -------------------------- | ----------- |
| lists\*   | array \[ListsItemResponse] |             |

### ShoppingList

| ATTRIBUTE     | TYPE     | DESCRIPTION                              |
| ------------- | -------- | ---------------------------------------- |
| id\*          | string   |                                          |
| name\*        | string   |                                          |
| count         | integer  | The number of items in the Shopping List |
| createdTime\* | datetime | The time the Shopping List was created.  |
| updatedTime\* | datetime |                                          |

### Sample Request

```bash
curl "https://graph.whisk.com/v1/lists" \
    -H "Accept: application/json" \
    -H "Authorization: Bearer <User-Access-Token>"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whisk.com/master/api/shopping-lists/get-shopping-lists.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
